From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/dstat/
Date: Tue, 3 Mar 2020 14:54:12 +0000 (UTC) [thread overview]
Message-ID: <1583247224.c27c310203920042096ade5157c985854d1b1487.juippis@gentoo> (raw)
commit: c27c310203920042096ade5157c985854d1b1487
Author: Paul Healy <lmiphay <AT> gmail <DOT> com>
AuthorDate: Sun Mar 1 16:28:17 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Mar 3 14:53:44 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c27c3102
sys-apps/dstat: correct python-r1 usage
1. Call python_foreach_impl instead of the upstream make install target
2. Install the rest of the files using install functions
3. Follow https://dev.gentoo.org/~mgorny/python-guide/multi.html for
REQUIRED_USE/RDEPEND/DEPEND values.
Closes: https://bugs.gentoo.org/710254
Signed-off-by: Paul Healy <lmiphay <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/14814
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
sys-apps/dstat/dstat-0.7.4-r1.ebuild | 59 ++++++++++++++++++++++++++++++++++++
1 file changed, 59 insertions(+)
diff --git a/sys-apps/dstat/dstat-0.7.4-r1.ebuild b/sys-apps/dstat/dstat-0.7.4-r1.ebuild
new file mode 100644
index 00000000000..b2f209299e7
--- /dev/null
+++ b/sys-apps/dstat/dstat-0.7.4-r1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{6,7}} )
+
+inherit python-r1
+
+DESCRIPTION="Versatile replacement for vmstat, iostat and ifstat"
+HOMEPAGE="http://dag.wieers.com/home-made/dstat/"
+SRC_URI="https://github.com/dagwieers/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm64 hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples wifi"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ dev-python/six[${PYTHON_USEDEP}]
+ wifi? (
+ net-wireless/python-wifi
+ )"
+DEPEND="${RDEPEND}"
+
+PATCHES=( \
+ "${FILESDIR}/dstat-${PV}-skip-non-sandbox-tests.patch" \
+ "${FILESDIR}/fix-collections-deprecation-warning.patch" \
+)
+
+src_prepare() {
+
+ # bug fix: allow delay to be specified
+ # backport from: https://github.com/dagwieers/dstat/pull/167/files
+ sed -i -e 's; / op\.delay; // op.delay;' "dstat" || die
+
+ default
+}
+
+src_install() {
+ python_foreach_impl python_doscript dstat
+
+ insinto /usr/share/dstat
+ newins dstat dstat.py
+ doins plugins/dstat_*.py
+
+ doman docs/dstat.1
+
+ einstalldocs
+
+ if use examples; then
+ dodoc examples/{mstat,read}.py
+ fi
+ if use doc; then
+ dodoc docs/*.html
+ fi
+}
next reply other threads:[~2020-03-03 14:54 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-03-03 14:54 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-29 5:37 [gentoo-commits] repo/gentoo:master commit in: sys-apps/dstat/ Joonas Niilola
2024-05-28 20:49 Sam James
2023-02-01 10:05 Benda XU
2022-05-31 2:55 Sam James
2020-09-05 15:15 Sam James
2020-09-04 10:31 Sergei Trofimovich
2020-09-03 14:29 Thomas Deutschmann
2020-09-02 20:30 Sam James
2020-05-07 17:58 Michał Górny
2019-12-10 9:19 Agostino Sarubbo
2019-12-08 10:58 Sergei Trofimovich
2019-12-03 11:58 Agostino Sarubbo
2019-12-03 10:07 Agostino Sarubbo
2019-12-02 10:46 Agostino Sarubbo
2019-12-01 23:49 Piotr Karbowski
2019-10-24 19:53 Piotr Karbowski
2019-10-22 8:24 Guilherme Amadio
2019-08-11 8:45 Michał Górny
2018-10-07 21:07 Andreas Sturmlechner
2018-03-31 17:44 Sebastian Pipping
2018-02-06 19:43 Benda XU
2017-04-20 16:41 David Seifert
2016-12-18 1:43 Aaron Bauman
2016-10-21 3:29 Jeroen Roovers
2016-08-08 8:02 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1583247224.c27c310203920042096ade5157c985854d1b1487.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox